.switch {
    margin: 0;
    cursor: pointer;
}
.switch > span {
    line-height: 20px;
    margin: 0 0 0 4px;
    vertical-align: top;
}
.switch input {
    display: none;
}
.switch input + div {
    width: 40px;
    height: 20px;
    border: 1px solid #D1D7E3;
    background: #D1D7E3;
    border-radius: 10px;
    vertical-align: top;
    position: relative;
    display: inline-block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: all 0.4s ease;
}
.switch input + div:before {
    content: "";
    float: left;
    width: 14px;
    height: 14px;
    background: #fff;
    pointer-events: none;
    margin-top: 2px;
    margin-left: 2px;
    border-radius: inherit;
    transition: all 0.4s ease 0s;
}
.switch input + div:after {
    content: "";
    left: -1px;
    top: -1px;
    width: 20px;
    height: 20px;
    border: 3px solid transparent;
    border-top-color: #5D9BFB;
    border-radius: 50%;
    position: absolute;
    opacity: 0;
}
.switch input:checked + div {
    background: #9EC4FF;
    border: 1px solid #5D9BFB;
}
.switch input:checked + div:before {
    transform: translate(20px, 0);
}
.switch.load input + div {
    width: 20px;
    margin: 0 10px;
}
.switch.load input + div:after {
    opacity: 1;
    -webkit-animation: rotate 0.9s infinite linear;
    animation: rotate 0.9s infinite linear;
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}
.switch:hover input:disabled + div {
    border-color: #D1D7E3;
}
.switch:hover input:checked + div {
    background: #5D9BFB;
}

@-webkit-keyframes rotate {
    0%, 15% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(290deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes rotate {
    0%, 15% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(290deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
html {
    box-sizing: border-box;
}

* {
    box-sizing: inherit;
}
*:before, *:after {
    box-sizing: inherit;
}

body .dribbble {
    position: fixed;
    display: block;
    right: 20px;
    bottom: 20px;
    opacity: 0.5;
    transition: all 0.4s ease;
}
body .dribbble:hover {
    opacity: 1;
}
body .dribbble img {
    display: block;
    height: 36px;
}